<template>
  <div :class="classes">
    <span class="initials">{{ initials }}</span>
  </div>
</template>
<script>
export default {
  name: 'SaAvatar',
  props: {
    /** @values small, regular, large */
    size: {
      type: String,
      default: 'regular'
    },
    /** Full name of a user */
    fullName: {
      type: String,
      required: true
    }
  },
  computed: {
    classes() {
      const classes = ['avatar', this.size]
      return classes
    },
    initials() {
      const initials = Array.from(this.fullName)
        .filter((c) => c.match(/[A-Z]/))
        .join('')
      if (initials.length > 2) {
        return initials[0] + initials.slice(-1)
      } else {
        return initials
      }
    }
  }
}
</script>
<style lang="scss" scoped>
.avatar {
  display: flex;
  align-items: center;
  justify-content: center;
  border: border(primary);
  border-radius: 100%;
  font-weight: bold;
  color: color(primary);
  background-color: white;
  &.small {
    width: 1.5rem;
    height: 1.5rem;
    font-size: font-size(0);
  }
  &.regular {
    width: 2.5rem;
    height: 2.5rem;
    font-size: font-size(1);
  }
  &.large {
    width: 4rem;
    height: 4rem;
    font-size: font-size(2);
  }
}
</style>
